#ifndef TITAN_PCBCAM_FONTCHARLINE_H
#define TITAN_PCBCAM_FONTCHARLINE_H
#include "../titanpcbcamglobal.h"
#include <QSharedDataPointer>
#include <QLineF>
#include "./common.h"


class PcbCamFontCharLineData;
class TITAN_PCBCAM_EXPORT PcbCamFontCharLine {
public:
    enum LineShape {
        LineShape_R,
        LineShape_S
    };

    PcbCamFontCharLine();
    PcbCamFontCharLine(const PcbCamFontCharLine &);
    PcbCamFontCharLine &operator=(const PcbCamFontCharLine &);
    ~PcbCamFontCharLine();

    QLineF line() const;
    void setLine(const QLineF &iLine);

    PcbCam::Polarity polarity() const;
    void setPolarity(PcbCam::Polarity iPolarity);

    LineShape shape() const;
    void setShape(LineShape iShape);

    double width() const;
    void setWidth(double iWidth);

private:
    QSharedDataPointer<PcbCamFontCharLineData> d;
};


#endif // TITAN_PCBCAM_FONTCHARLINE_H
